Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.primitive
Class GraphicArc.ArcClosure

    Object
      CodeList<E>
          SimpleEnumerationType<GraphicArc.ArcClosure>
              GraphicArc.ArcClosure

All Implemented Interfaces:
  Serializable, Comparable<GraphicArc.ArcClosure>

Enclosing interface:
  GraphicArc

    public static class GraphicArc.ArcClosure

extends SimpleEnumerationType<GraphicArc.ArcClosure>

Instances of the `ArcClosure` class represent the various methods of connecting the endpoints of an arc. There are three static constants defined in this class that can be used as parameters to the `setClosureType` method.

See Also:
  Serialized Form

Field Summary
`static GraphicArc.ArcClosure` | `CHORD` Closure type that indicates that one line should be drawn between the endpoints of the arc.
`static GraphicArc.ArcClosure` | `OPEN` Closure type that indicates that the endpoints of the arc should not be connected.
`static GraphicArc.ArcClosure` | `PIE` Closure type that indicates that two lines, one from each endpoint of the arc, should be drawn to the center of the ellipse defining the arc.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static GraphicArc.ArcClosure[]` | `getArray()` Deprecated. Use `values()` instead.
`static GraphicArc.ArcClosure[]` | `values()` Returns the list of `ArcClosure`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OPEN

    public static final GraphicArc.ArcClosure OPEN

  Closure type that indicates that the endpoints of the arc should not be connected.

### CHORD

    public static final GraphicArc.ArcClosure CHORD

  Closure type that indicates that one line should be drawn between the endpoints of the arc.

### PIE

    public static final GraphicArc.ArcClosure PIE

  Closure type that indicates that two lines, one from each endpoint of the arc, should be drawn to the center of the ellipse defining the arc.

Method Detail

### getArray

    @Deprecated
    public static GraphicArc.ArcClosure[] getArray()

  Deprecated. Use `values()` instead.

  Utility method that retrieves the list of all `ArcClosure`s. This is useful when making combo-boxes with code like: `

       JComboBox comboBox = new JComboBox(ArcClosure.getArray());

  `

  IMPORTANT SAFETY TIP:
  Modifying the array returned is a Bad Thing. Don't do it.

### values

    public static GraphicArc.ArcClosure[] values()

  Returns the list of `ArcClosure`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<GraphicArc.ArcClosure>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.